[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.RemoveControl

Removes the undocked control from the docksite layout.

## Declaration

Source position: controls.pp line 681

`public procedure TDockManager.RemoveControl(`
`Control: TControl`
`); virtual; abstract;`

## Arguments

`Control` |  | Control to remove.

## Description

When SetReplacingControl has been called with a non-Nil argument before, the layout of the docksite should not be changed. Instead, the next inserted control should take the place and role of this control.